Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::is_sorted_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename R = ordered_less, typename P = ident, requires = (ForwardIterator<I>() && Sentinel<S, I>() && IndirectRelation<R, projected<I, P>>())>
bool | operator() (I begin, S end, R rel=R{}, P proj=P{}) const
| template function `is_sorted_fn::operator()` More...
template<typename Rng , typename R = ordered_less, typename P = ident, typename I = iterator_t<Rng>, requires = (ForwardRange<Rng>() && IndirectRelation<R, projected<I, P>>())>
bool | operator() (Rng &&rng, R rel=R{}, P proj=P{}) const

## Member Function Documentation

## ◆ operator()()

template<typename I , typename S , typename R = ordered_less, typename P = ident, requires = (ForwardIterator<I>() && Sentinel<S, I>() && IndirectRelation<R, projected<I, P>>())>

bool ranges::v3::is_sorted_fn::operator() | ( | I | begin,
|  | S | end,
|  | R | rel = `R{}`,
|  | P | proj = `P{}`
| ) |  | const

template function `is_sorted_fn::operator()`

range-based version of the `is_sorted` std algorithm

Works on ForwardRanges

Precondition
  `Rng` is a model of the `ForwardRange` concept
  `I` is a model of the `ForwardIterator` concept
  `S` and `I` model the `Sentinel<S, I>` concept
  `R` and `projected<I, P>` model the `IndirectRelation<R, projected<I, P>>` concept